import { LitElement } from 'lit';
declare const UUICardElement_base: (new (...args: any[]) => import("@umbraco-ui/uui-base/lib/mixins").SelectOnlyMixinInterface) & (new (...args: any[]) => import("@umbraco-ui/uui-base/lib/mixins").SelectableMixinInterface) & typeof LitElement;
/**
 *  @element uui-card
 *  @fires {UUICardEvent} open - fires when the card title is clicked.
 *  @description - Base card component to be extended by specific card elements.
 *  @slot - Default content.
 */
export declare class UUICardElement extends UUICardElement_base {
    /**
     * Set to true to prevent opening of this item.
     * This does not prevent selection, selection is controlled by property 'selectable'
     * @type {boolean}
     * @attr disabled
     * @default false
     */
    disabled: boolean;
    /**
     * Set to true to highlight there is an error with this item.
     * @type {boolean}
     * @attr error
     * @default false
     */
    error: boolean;
    /**
     * Set an href, this will turns the name of the card into an anchor tag.
     * @type {string}
     * @attr
     * @default undefined
     */
    href?: string;
    /**
     * Set an anchor tag target, only used when using href.
     * @type {string}
     * @attr
     * @default undefined
     */
    target?: '_blank' | '_parent' | '_self' | '_top';
    protected handleOpenClick(e: Event): void;
    protected handleOpenKeydown(e: KeyboardEvent): void;
    protected render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-card': UUICardElement;
    }
}
export {};
